<?php
/**
 * 派单统计数据
 */

namespace App\Http\Controllers\Channel\SendOrder;

use App\Http\Controllers\Channel\BaseController;
use App\Modules\SendOrder\Services\SendOrderStatisticsService;
use Hashids;
use Illuminate\Http\Request;


class SendOrderStatisticsController extends BaseController
{
    /**
     * @apiDefine sendOrder 派单
     */

	/**
	 * 渠道周报表数据
	 * @param Request $request
	 */
    function getWeeklySendOrderStatistics(Request $request)
    {
        $distribution_channel_id = $this->getChannelId();
        if(empty($distribution_channel_id)){
        	return response()->error('PARAM_EMPTY');
        }
        $data = SendOrderStatisticsService::getWeeklySendOrderStatistics($distribution_channel_id);
        \Log::info($data);
        return response()->success($data);
    }

}
